<?php

ini_set('display_errors', 1);

global $db;

require_once("../../common/lib.php");

require_once("../../common/define.php");



// if(!isset($_SESSION['user'])){

    // header("Location: login.php");

    // exit();

// }

$date_synchro = date("Y");
// $date_synchro = " 2018 OR annee = 2019";
// echo $date_synchro;

$date_from = strtotime($date_synchro.'-01-01');
//======== BE ===========








// $query_insert = "DELETE FROM `stat_article` WHERE type= 'BE' AND annee = ".$date_synchro.";";
$query_insert = "DELETE FROM `stat_article` WHERE 1 ;";

$query_insert .= "UPDATE `synchro` SET `date_synchro`=".time()." WHERE id=1; ";



$query = "SELECT * from pm_be where date_entre >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){

		$query_2 = "SELECT * from pm_be_product where id_be =".$row["id"];

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			$date = date("Y-m-d", $row["date_entre"]);
			$annee = date("Y", $row["date_entre"]);
			$mois = date("m", $row["date_entre"]);
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				$famille = get_tree($row_2["name"],"achat",1);
				$sous_famille = get_tree($row_2["name"],"achat",2);
				$code_produit = get_ref($row_2["name"],"pm_produitsachat");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('BE','".$row_2["name"]."','".$code_produit."','ACHAT','".$row_2["qte"]."','".$date ."','".$row["date_entre"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
				// $result_3 = @$db->query($query_insert);
				// echo $famille." / ".$sous_famille."<br>";
				$cont++;
			}
		}	

	} 

	echo "BE = ".$cont."<br>";

}	



//=============================================
//============ 		BS		===================
//=============================================


$query_insert .= "DELETE FROM `stat_article` WHERE type= 'BS' AND annee = ".$date_synchro.";";



$query = "SELECT * from pm_br where date_entre >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){

		$query_2 = "SELECT * from pm_br_product where id_br =".$row["id"];

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			$date = date("Y-m-d", $row["date_entre"]);
			$annee = date("Y", $row["date_entre"]);
			$mois = date("m", $row["date_entre"]);
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				$famille = get_tree($row_2["name"],"achat",1);
				$sous_famille = get_tree($row_2["name"],"achat",2);
				$code_produit = get_ref($row_2["name"],"pm_produitsachat");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('BS','".$row_2["name"]."','".$code_produit."','ACHAT','".$row_2["qte"]*(-1)."','".$date ."','".$row["date_entre"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
				// $result_3 = @$db->query($query_insert);
				// echo $famille." / ".$sous_famille."<br>";
				$cont++;
			}
		}	

	} 

	echo "BS = ".$cont."<br>";

}	



//=============================================
//============ 		Facture d'acha FA =========
//=============================================


$query_insert .= "DELETE FROM `stat_article` WHERE type= 'FA' AND annee = ".$date_synchro.";";



$query = "SELECT * from pm_facture_achat where date_entre >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){

		$query_2 = "SELECT * from pm_facture_achat_product where id_fac =".$row["id"];
		
		// echo $query_2."<br>";

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			$date = date("Y-m-d", $row["date_entre"]);
			$annee = date("Y", $row["date_entre"]);
			$mois = date("m", $row["date_entre"]);
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				$famille = get_tree($row_2["name"],"achat",1);
				$sous_famille = get_tree($row_2["name"],"achat",2);
				$code_produit = get_ref($row_2["name"],"pm_produitsachat");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('FA','".$row_2["name"]."','".$code_produit."','ACHAT','".$row_2["qte"]."','".$date ."','".$row["date_entre"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
				// $result_3 = @$db->query($query_insert);
				// echo $famille." / ".$sous_famille."<br>";
				$cont++;
			}
		}	

	} 

	echo "FA = ".$cont."<br>";

}	



//=============================================
//============ 		BF 	=======================
//=============================================

$query_insert .= "DELETE FROM `stat_article` WHERE type= 'BF' AND annee = ".$date_synchro.";";



$query = "SELECT * from pm_bf where date_bf >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){
		
		$date = date("Y-m-d", $row["date_bf"]);
		$annee = date("Y", $row["date_bf"]);
		$mois = date("m", $row["date_bf"]);
		
		//===========================================
		$famille_1 = get_tree($row["product"],"vente",1);
		$sous_famille_1 = get_tree($row["product"],"vente",2);
		$coulissage = get_coulissage($row["product"],"vente");
		$code_produit = get_ref($row["product"],"pm_produits");

		$coulissage = 0;

		$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`, `id_ref`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
		$query_insert .= " VALUES ('BF','".$row["product"]."','".$row["id"]."','".$code_produit."','VENTE','".$row["qte"]."','".$date ."','".$row["date_bf"]."','".$mois."','".$annee."','".$famille_1."','".$sous_famille_1."','".$coulissage."');";
		
		// echo $query_insert."<br>";
		//===========================================

		$query_2 = "SELECT * from pm_bf_product where id_bf =".$row["id"];
		
		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				
				// echo $query_2." ==> ".$row_2["coulissage"]."<br>";
				
				$famille = get_tree($row_2["id_produits"],"achat",1);
				$sous_famille = get_tree($row_2["id_produits"],"achat",2);
				$code_produit = get_ref($row_2["id_produits"],"pm_produitsachat");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('BF','".$row_2["id_produits"]."','".$code_produit."','ACHAT','".$row_2["qte"]."','".$date ."','".$row["date_bf"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
				
				// echo $query_insert."<br>";
				$cont++;
			}
		}	

	} 

	echo "BF = ".$cont."<br>";

}	




//=============================================
//============ 		BL 	=======================
//=============================================


$query_insert .= "DELETE FROM `stat_article` WHERE type= 'BL' AND annee = ".$date_synchro.";";


$query = "SELECT * from pm_bl where date_bl >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){

		$query_2 = "SELECT * from pm_bl_product where id_bl =".$row["id"];

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			$date = date("Y-m-d", $row["date_bl"]);
			$annee = date("Y", $row["date_bl"]);
			$mois = date("m", $row["date_bl"]);
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				$famille = get_tree($row_2["id_produits"],"vente",1);
				$sous_famille = get_tree($row_2["id_produits"],"vente",2);
				$code_produit = get_ref($row_2["id_produits"],"pm_produits");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('BL','".$row_2["id_produits"]."','".$code_produit."','VENTE','".$row_2["qte"]."','".$date ."','".$row["date_bl"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
		
				$cont++;
			}
		}	

	} 

	echo "BL = ".$cont."<br>";

}	



//=============================================
//============ 		BR 	=======================
//=============================================

$query_insert .= "DELETE FROM `stat_article` WHERE type= 'BR' AND annee = ".$date_synchro.";";



$query = "SELECT * from pm_brv where date_brv >=".$date_from;

$result = @$db->query($query);

$cont = 0 ;

if($result !== false){

	foreach($result as $row){

		$query_2 = "SELECT * from pm_brv_product where id_brv =".$row["id"];

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			
			$date = date("Y-m-d", $row["date_brv"]);
			$annee = date("Y", $row["date_brv"]);
			$mois = date("m", $row["date_brv"]);
			// echo $mois."<br>";
			foreach($result_2 as $row_2){
				$famille = get_tree($row_2["id_produits"],"vente",1);
				$sous_famille = get_tree($row_2["id_produits"],"vente",2);
				$code_produit = get_ref($row_2["id_produits"],"pm_produits");
				if($row_2["coulissage"]){
					$coulissage = $row_2["coulissage"];
				}else{
					$coulissage = 0;
				}
				$query_insert .= "INSERT INTO `stat_article`(`type`, `id_product`,`code_produit`, `type_product`, `qte`, `date`, `date_int`, `mois`, `annee`, `famille`, `sous_famille`, `coulissage`) ";
				$query_insert .= " VALUES ('BR','".$row_2["id_produits"]."','".$code_produit."','VENTE','".$row_2["qte"]*(-1)."','".$date ."','".$row["date_brv"]."','".$mois."','".$annee."','".$famille."','".$sous_famille."','".$coulissage."');";
				
				$cont++;
			}
		}	

	} 

	echo "BR = ".$cont."<br>";

}	

//========================= ECHO QUERY ===========
	echo $query_insert;
	$result_insert = @$db->query($query_insert);
	//====================================

function get_ref($product,$table)
{
global $db;

$code_produit ='';

$query = "SELECT code_produit from ".$table." where id =".$product ;

// echo $query;

$result = @$db->query($query);


if($result !== false){

	foreach($result as $row){
		$code_produit = $row["code_produit"] ;
	}
}	

return $code_produit ;
	
}	

function get_tree($product,$type,$link)
{
global $db;

if($type == "achat"){
	$table = "pm_produitsachat";
}else{
	$table = "pm_produits";
}

$query = "SELECT id,famille from ".$table." where id =".$product ;

// echo $query;

$result = @$db->query($query);


if($result !== false){

	foreach($result as $row){
		$sous_famille = $row["famille"];

		$query_2 = "SELECT famille_classe from pm_famille where id =".$row["famille"];
		// echo $query_2 ."<br>";

		$result_2 = @$db->query($query_2);
		if($result_2 !== false){
			foreach($result_2 as $row_2){
				$famille = $row_2["famille_classe"];
				// echo "==========<br>";
			}
			
		}	

	} 
	
	if($link == 1){
		return $famille ;
	}else{
		return $sous_famille ;
	}

	echo "Famille = ".$famille." / Sous famille = ".$sous_famille ."<br>";

}	

}

function get_coulissage($product,$type)
{
global $db;

if($type == "achat"){
	$table = "pm_produitsachat";
}else{
	$table = "pm_produits";
}

$query = "SELECT coulissage from ".$table." where id =".$product ;
$result = @$db->query($query);


if($result !== false){
	foreach($result as $row){
		$coulissage = $row["coulissage"];
	}
}	

return $coulissage ;

}

?>